Bug 36294 - ri не показывает документацию
Summary: ri не показывает документацию
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: ruby (show other bugs)
Version: unstable
Hardware: all Linux
: P3 normal
Assignee: majioa@altlinux.org
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-17 02:07 MSK by Vitaly Chikunov
Modified: 2019-05-04 13:45 MSK (History)
9 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaly Chikunov 2019-03-17 02:07:32 MSK
```
[root@findsym ~]# ri Array
Nothing known about Array
[root@findsym ~]# ri --list-doc-dirs
/usr/share/ri/2.5.0/system
/usr/share/ri/2.5.0/site
/root/.rdoc
[root@findsym ~]# ls -la /usr/share/ri/2.5.0/system
ls: cannot access '/usr/share/ri/2.5.0/system': No such file or directory
[root@findsym ~]# ls -la /usr/share/ri/2.5.0
ls: cannot access '/usr/share/ri/2.5.0': No such file or directory
[root@findsym ~]# ls -la /usr/share/ri
total 24
drwxr-xr-x   4 root root  4096 Mar 16 22:53 .
drwxr-xr-x  52 root root  4096 Mar 16 22:44 ..
drwxr-xr-x   3 root root  4096 Mar  9 19:28 site
drwxr-xr-x 233 root root 12288 Mar 16 22:53 system
[root@findsym ~]# ri -v
ri 6.1.1
[root@findsym ~]# ruby -v
ruby 2.5.4p106 (2018-10-21) [x86_64-linux]
[root@findsym ~]# rpm -ql ruby-ffi-libarchive-doc|head
/usr/share/ri/site/Archive
/usr/share/ri/site/Archive/BaseArchive
/usr/share/ri/site/Archive/BaseArchive/archive-i.ri
/usr/share/ri/site/Archive/BaseArchive/cdesc-BaseArchive.ri
/usr/share/ri/site/Archive/BaseArchive/close-i.ri

```
Comment 1 Vitaly Chikunov 2019-03-17 02:11:17 MSK
Почему-то баг повесился на nbr. Перевесил на majioa
Comment 2 Repository Robot 2019-05-04 13:45:30 MSK
ruby-2.5.5-alt2 -> sisyphus:

Thu May 02 2019 Pavel Skrylev <majioa@altlinux> 2.5.5-alt2
- Fixed ri documentation placement (closes: #36294)